Brokers
Create Broker
Creates a new broker associated with an existing brokerage.
Required fields:
brokerageId- ID of an existing brokerage (use GET /brokerages to find valid IDs)name- Broker name
Optional fields:
email- Broker email addressdefaultCommissionPercentage- Default commission percentage (0-100)addressStructured- Structured address objectphone- Primary phone numberworkPhone- Work phone numberproducerNumber- Producer number/identifier
Required permission: company.broker:create
POST
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Body
application/json
ID of an existing brokerage this broker belongs to. Use GET /brokerages to find valid IDs, or POST /brokerages to create one first.
Broker name (required)
Broker email address
Default commission percentage (0-100)
Required range:
0 <= x <= 100Structured address information
Primary phone number
Work phone number
Producer number/identifier
Response
Broker created successfully
The ID of the created broker
